partial_sum.hpp File Reference

## Classes

struct | ranges::v3::partial_sum_fn

## Typedefs

template<typename I , typename BOp >
using | ranges::v3::IndirectSemigroup = meta::strict_and< Readable< I >, Copyable< value_type_t< I > >, IndirectRegularInvocable< composed< coerce< value_type_t< I > >, BOp >, value_type_t< I > *, I > >
template<typename I , typename O , typename BOp = plus, typename P = ident, typename X = projected<projected<I, detail::as_value_type_t<I>>, P>>
using | ranges::v3::PartialSummable = meta::strict_and< InputIterator< I >, IndirectSemigroup< X, BOp >, OutputIterator< O, value_type_t< X > const & > >

## Variables

constexpr partial_sum_fn | ranges::v3::partial_sum {}